package com.gyee.runeconomy.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "TEMPERATUREINFO")
public class TemperatureInfoEntity {
    @Id
    @Column(name = "ID")
    private Long id;

    @Column(name = "TAG", length = 50)
    private String tag;

    @Column(name = "WINDPOWERSTATIONID", nullable = false, length = 10)
    private String windpowerstationid;

    @Column(name = "WINDTURBINEID", nullable = false, length = 10)
    private String windturbineid;

    @Column(name = "COMPONENT", nullable = false, length = 30)
    private String component;

    @Column(name = "NAME", nullable = false, length = 50)
    private String name;

    @Column(name = "REASONABLEMAXVAL", nullable = false)
    private Double reasonablemaxval;

    @Column(name = "MAXVAL", nullable = false)
    private Double maxval;

    public Double getMaxval() {
        return maxval;
    }

    public void setMaxval(Double maxval) {
        this.maxval = maxval;
    }

    public Double getReasonablemaxval() {
        return reasonablemaxval;
    }

    public void setReasonablemaxval(Double reasonablemaxval) {
        this.reasonablemaxval = reasonablemaxval;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getComponent() {
        return component;
    }

    public void setComponent(String component) {
        this.component = component;
    }

    public String getWindturbineid() {
        return windturbineid;
    }

    public void setWindturbineid(String windturbineid) {
        this.windturbineid = windturbineid;
    }

    public String getWindpowerstationid() {
        return windpowerstationid;
    }

    public void setWindpowerstationid(String windpowerstationid) {
        this.windpowerstationid = windpowerstationid;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }
}